Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	Logitech G15 keyboard tool
Name:      	g15lcd
Version:   	1.2
Release:   	1
Provides:  	g15lcd
License : 	GPL
url:		http://sourceforge.net/projects/g15tools
Group:     	System/Configuration/Hardware  
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libusb-devel

%description
Tool for printing texts or graphics on the Logitech G15 keyboard lcd

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
make

%install
rm -rf $RPM_BUILD_ROOT 

mkdir -p $RPM_BUILD_ROOT/usr/bin
cp g15lcd $RPM_BUILD_ROOT/usr/bin

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
 


%files
%defattr(-,root,root)
%_bindir


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2-1
- Initial Release
